RHEL 8 : Red Hat OpenStack Platform 17.1 (openstack-tripleo-heat-templates and python-yaql) (RHSA-2024:1930)

high Nessus Plugin ID 193689

Synopsis

The remote Red Hat host is missing a security update for Red Hat OpenStack Platform 17.1 (openstack-tripleo-heat- templates / python-yaql).

Description

The remote Redhat Enterprise Linux 8 host has packages installed that are affected by a vulnerability as referenced in the RHSA-2024:1930 advisory.

- YAQL: OpenStack Murano Component Information Leakage (CVE-2024-29156)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL Red Hat OpenStack Platform 17.1 (openstack-tripleo-heat-templates / python-yaql) packages based on the guidance in RHSA-2024:1930.

See Also

https://access.redhat.com/security/updates/classification/#important

https://bugzilla.redhat.com/show_bug.cgi?id=2269112

http://www.nessus.org/u?b090d9f0

https://access.redhat.com/errata/RHSA-2024:1930

Plugin Details

Severity: High

ID: 193689

File Name: redhat-RHSA-2024-1930.nasl

Version: 1.0

Type: local

Agent: unix

Published: 4/22/2024

Updated: 4/22/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.2

Temporal Score: 5.3

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

CVSS Score Source: CVE-2024-29156

CVSS v3

Risk Factor: High

Base Score: 8.4

Temporal Score: 7.3

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:8, p-cpe:/a:redhat:enterprise_linux:openstack-tripleo-heat-templates, p-cpe:/a:redhat:enterprise_linux:python-yaql, p-cpe:/a:redhat:enterprise_linux:python3-yaql

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 4/22/2024

Vulnerability Publication Date: 3/18/2024

Reference Information

CVE: CVE-2024-29156

CWE: 200

RHSA: 2024:1930